SolrParams (Solr 3.6.2 API)
Keywords: org.apache.solr.request.SolrParams class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.request
Class SolrParams

    java.lang.Object
      org.apache.solr.common.params.SolrParams
          org.apache.solr.request.SolrParams

All Implemented Interfaces:
  Serializable, CommonParams, FacetParams

Deprecated. Use org.apache.solr.common.params.SolrParams.

    @Deprecated
    public abstract class SolrParams

extends SolrParams
implements FacetParams, CommonParams

This class is scheduled for deletion. Please update your code to the moved package.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.solr.common.params.FacetParams
`FacetParams.FacetDateOther, FacetParams.FacetRangeInclude, FacetParams.FacetRangeOther`

Nested classes/interfaces inherited from interface org.apache.solr.common.params.CommonParams
`CommonParams.EchoParamStyle`

Field Summary

Fields inherited from interface org.apache.solr.common.params.FacetParams
`FACET, FACET_DATE, FACET_DATE_END, FACET_DATE_GAP, FACET_DATE_HARD_END, FACET_DATE_INCLUDE, FACET_DATE_OTHER, FACET_DATE_START, FACET_ENUM_CACHE_MINDF, FACET_FIELD, FACET_LIMIT, FACET_METHOD, FACET_METHOD_enum, FACET_METHOD_fc, FACET_MINCOUNT, FACET_MISSING, FACET_OFFSET, FACET_PREFIX, FACET_QUERY, FACET_RANGE, FACET_RANGE_END, FACET_RANGE_GAP, FACET_RANGE_HARD_END, FACET_RANGE_INCLUDE, FACET_RANGE_OTHER, FACET_RANGE_START, FACET_SORT, FACET_SORT_COUNT, FACET_SORT_COUNT_LEGACY, FACET_SORT_INDEX, FACET_SORT_INDEX_LEGACY, FACET_ZEROS`

Fields inherited from interface org.apache.solr.common.params.CommonParams
`CACHE, COST, DEBUG_QUERY, DF, EXCLUDE, EXPLAIN_OTHER, EXPLAIN_STRUCT, FALSE, FIELD, FL, FQ, HEADER_ECHO_HANDLER, HEADER_ECHO_PARAMS, OMIT_HEADER, OUTPUT_KEY, Q, QT, ROWS, SORT, START, STREAM_BODY, STREAM_CONTENTTYPE, STREAM_FILE, STREAM_URL, TAG, TERMS, TIME_ALLOWED, TRUE, VALUE, VERSION, WT, XSL`

Constructor Summary
`SolrParams()` Deprecated.

Method Summary

Methods inherited from class org.apache.solr.common.params.SolrParams
`fpname, get, get, getBool, getBool, getDouble, getDouble, getFieldBool, getFieldBool, getFieldDouble, getFieldDouble, getFieldFloat, getFieldFloat, getFieldInt, getFieldInt, getFieldParam, getFieldParam, getFieldParams, getFloat, getFloat, getInt, getInt, getParameterNamesIterator, getParams, parseBool, required, toMap, toMultiMap, toNamedList, toSolrParams, wrapAppended, wrapDefaults`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SolrParams

    public SolrParams()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD